Subject: Compiling AutoDock 3.0 on IRIX...

From: Stefano Forli <forli$at$unisi.it>
Date: Mon, 29 Sep 2003 16:19:14 +0200

Dear all,
I'm trying to compile some files in the $AUTODOCK/src directory on an
Irix 6.5.16m machine, using the gcc compiler, but I get this error
message:

% gcc -o addsol addsol.c
addsol.c: In function `main':
addsol.c:13: warning: return type of `main' is not `int'

The command line options are those suggested in the README file the
$AUTODOCK/src/addsol directory.
I tried the option "-O3" too, as suggested in a webpage, but the error
is the same.
The cc compiler, by other hand, says:

cc-1174 cc: WARNING File = addsol.c, Line = 14
  The variable "i" was declared but never referenced.

      int       i, j;
                ^
However, compiled files are produced and are executable in both cases,
but since this is first time I compile a code, I don't know if they are
reliable, and if the error message is critical or not.
Thank you in advice,
Stefano

-- 

***********************************
 Dr. Forli Stefano                    
 Dip. Farmaco Chimico Tecnologico  
 Universita' degli Studi di Siena  
 Via Aldo Moro                    
 I-53100 Siena, Italy              
 Phone: ++39 0577 234307      
 Fax: ++39 0577 234333         
***********************************